org.springframework.context

## Interface ApplicationEventPublisherAware

All Superinterfaces:
  Aware

All Known Implementing Classes:
  EventPublicationInterceptor

    public interface ApplicationEventPublisherAware
    extends Aware

Interface to be implemented by any object that wishes to be notified of the ApplicationEventPublisher (typically the ApplicationContext) that it runs in.

Since:
  1.1.1
Author:
  Juergen Hoeller, Chris Beams
See Also:
  `ApplicationContextAware`

### Method Summary

Methods
`void` `setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)` Set the ApplicationEventPublisher that this object runs in.

### Method Detail

#### setApplicationEventPublisher

    void setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)

Set the ApplicationEventPublisher that this object runs in.

Invoked after population of normal bean properties but before an init callback like InitializingBean's afterPropertiesSet or a custom init-method. Invoked before ApplicationContextAware's setApplicationContext.

Parameters:
  `applicationEventPublisher` - event publisher to be used by this object